## sqlkit 0.9.2.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
VER           = 0.9.2
DEBVER        = 0.8.6.1-1
WINVER        = 0.8.6.1
LNXVER        = 0.9-rc1

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck
all:    html
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."
	@perl -i -p -e 's/DEBVER/$(DEBVER)/g' .build/html/misc/download.html
	@perl -i -p -e 's/WINVER/$(WINVER)/g' .build/html/misc/download.html
	@perl -i -p -e 's/LNXVER/$(LNXVER)/g' .build/html/misc/download.html
	@perl -i -p -e 's/VER/$(VER)/g' .build/html/misc/download.html

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web .build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

rsync:	html
	rsync -r --delete --progress --stats .build/html/ www3:docs/sqlkit/

pdf:    latex
	cd .build/latex; make all-pdf
	Print -s -o "-b 20" .build/latex/sqlkit.pdf
	gv --orientation=seascape .build/latex/sqlkit.2.ps


galeon: 
	galeon .build/html/sqlkit/tour.html

firefox: 
	firefox ./.build/html/sqlkit/tour.html

chtml:	clean html

refs:
	find -name \*rst -exec grep -oE '\.\. \_([^:]+):\s*' {} \; 	
css:
	cp static/*css ./.build/html/_static/
	cp ./static/AnythingSlider/css/page.css ./.build/html/_static/AnythingSlider

=== debian/changelog ===
sqlkit (0.9.2.1-1) experimental; urgency=low

  * New upstream release - removes non-redistributable files.
  * Filled debian/copyright with missing information.
  * Documentation package now contains the demo.

 -- Pietro Battiston <me@pietrobattiston.it>  Mon, 31 Jan 2011 22:49:33 +0200

sqlkit (0.9.2-1) experimental; urgency=low

  * Initial release. (Closes: #544798)

 -- Pietro Battiston <me@pietrobattiston.it>  Mon, 20 Dec 2010 18:27:33 +0200

=== debian/control ===
Source: sqlkit
Section: python
Priority: optional
Maintainer: Pietro Battiston <me@pietrobattiston.it>
Homepage: http://sqlkit.argolinux.org
Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools, python-support, python-sphinx, python-gtk2, python-sqlalchemy, python-mako, python-glade2, python-pybabel, python-dateutil
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/sqlkit.git
Vcs-Git: git://git.debian.org/git/collab-maint/sqlkit.git

Package: python-sqlkit
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python, python-dateutil, python-gtk2, python-glade2, python-sqlalchemy, python-pybabel
Recommends: python-mysqldb | python-psycopg2
Suggests: python-sqlkit-doc
Breaks: ${python:Breaks}
Description: Python tools and GUI application to view and edit databases content
 Main features of sqlkit:
 .
  - editor of databases in 2 modes: table & mask
  - based on SQLAlchemy: can cope with many different databases
  - very powerful filtering capabilities:
 .
   * each field can be used to filter visible records
   * date filtering possible also on relative basis (good for saved
     queries)
 .
  - completion both on local same field and foreign key fields
  - very easy way to draw a layout for mask views
  - sqledit: Python script to edit db
  - completely effortless editing of relationships
  - very easy way to set defaults
  - possibility to display totals in numeric fields
  - constraints: any possible sql constraint can be attached to a Mask 
    or a Table. It can be expressed as a normal SQLAlchemy query or with
    django-like syntax
  - completely localized
  - easy way to add hooks and validation

Package: python-sqlkit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: python-sqlkit
Description: documentation for python-sqlkit and sqledit application 
 Sqlkit is a Python package which simplifies the creation of database-oriented
 graphic user interfaces. It provides also sqledit, an application to view and
 edit databases.
 .
 This package contains html documentation for sqledit and sqlkit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_build:
	python setup.py build_sphinx
	dh_auto_build

## sqlkit 0.9.5

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for Sphinx documentation
 #
-VER           = 0.9.2
+VER           = 0.9.5
 DEBVER        = 0.8.6.1-1
 WINVER        = 0.8.6.1
 LNXVER        = 0.9-rc1
@@ -38,6 +38,7 @@
 	@perl -i -p -e 's/WINVER/$(WINVER)/g' .build/html/misc/download.html
 	@perl -i -p -e 's/LNXVER/$(LNXVER)/g' .build/html/misc/download.html
 	@perl -i -p -e 's/VER/$(VER)/g' .build/html/misc/download.html
+	@perl -i -p -e 's/VER/$(VER)/g' .build/html/misc/tutorial.html
 
 pickle:
 	mkdir -p .build/pickle .build/doctrees
@@ -87,10 +88,10 @@
 
 
 galeon: 
-	galeon .build/html/sqlkit/tour.html
+	galeon .build/html/index.html
 
 firefox: 
-	firefox ./.build/html/sqlkit/tour.html
+	firefox .build/html/index.html
 
 chtml:	clean html
 
@@ -99,3 +100,7 @@
 css:
 	cp static/*css ./.build/html/_static/
 	cp ./static/AnythingSlider/css/page.css ./.build/html/_static/AnythingSlider
+
+refresh:
+	touch misc/tour.rst misc/download.rst misc/sqledit.rst
+	make

=== debian/changelog ===
sqlkit (0.9.5-1ubuntu1) saucy; urgency=low

  * Drop Build-Depends on python-uno; it has relatively little effect on the
    binaries (causes
    /usr/share/doc/python-sqlkit-doc/html/_images/ootemplate-colors.png to
    be dropped), and current versions of LibreOffice require this to be
    ported to Python 3.  See Debian #707342.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Oct 2013 00:41:12 +0100

sqlkit (0.9.5-1) unstable; urgency=low

  * New upstream release
  * Added python-uno to Build-Depends
  * Updated patches, moved to gbp-pq naming convention
  * Updated Debian policy version
  * Use local jquery.js and jquery-ui.js.
  * Use system underscore.js
  * Made debian/copyright compliant with DEP-5
  * Removed unsupported brace expansion from dh files
  * Bash completion file is now installed

 -- Pietro Battiston <me@pietrobattiston.it>  Tue, 21 Feb 2012 21:21:16 +0100

sqlkit (0.9.4-1) UNRELEASED; urgency=low

  * New upstream release
  * Removed Anythingslider patch (now upstream).
  * Updated other patches.
  * Suggest python-mysqldb and python-psycopg2
  * Fixed typo in debian/copyright

 -- Pietro Battiston <me@pietrobattiston.it>  Sun, 08 May 2011 23:57:24 +0200

sqlkit (0.9.3-2) UNRELEASED; urgency=low

  * Fixed links, permissions and removed compression for demo files.
  * Run the demo in /tmp for write permissions.
  * Recommend documentation, so that demo is usually available.
  * Patched documentation to manage missing AnythingSlider files.

 -- Pietro Battiston <me@pietrobattiston.it>  Tue, 08 Mar 2011 16:03:36 +0100

sqlkit (0.9.3-1) UNRELEASED; urgency=low

  * New upstream release.
  * Removed useless python-support from Build-Depends.
  * Removed now useless dependency on glade.
  * Split setup.py patch in two smaller ones.

 -- Pietro Battiston <me@pietrobattiston.it>  Fri, 04 Mar 2011 18:01:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: sqlkit
 Section: python
 Priority: optional
-Maintainer: Pietro Battiston <me@pietrobattiston.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pietro Battiston <me@pietrobattiston.it>
 Homepage: http://sqlkit.argolinux.org
-Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools, python-support, python-sphinx, python-gtk2, python-sqlalchemy, python-mako, python-glade2, python-pybabel, python-dateutil
+Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools, python-sphinx, python-gtk2, python-sqlalchemy, python-mako, python-pybabel, python-dateutil, bash-completion
 XS-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sqlkit.git
 Vcs-Git: git://git.debian.org/git/collab-maint/sqlkit.git
 
 Package: python-sqlkit
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python, python-dateutil, python-gtk2, python-glade2, python-sqlalchemy, python-pybabel
-Recommends: python-mysqldb | python-psycopg2
-Suggests: python-sqlkit-doc
+Depends: ${python:Depends}, ${misc:Depends}, python, python-dateutil, python-gtk2, python-sqlalchemy, python-pybabel, python-pkg-resources
+Recommends: python-mysqldb | python-psycopg2, python-sqlkit-doc
+Suggests: python-mysqldb, python-psycopg2, python-uno
 Breaks: ${python:Breaks}
 Description: Python tools and GUI application to view and edit databases content
  Main features of sqlkit:
@@ -41,7 +42,7 @@
 Package: python-sqlkit-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-jquery-ui
 Recommends: python-sqlkit
 Description: documentation for python-sqlkit and sqledit application 
  Sqlkit is a Python package which simplifies the creation of database-oriented

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,13 @@
 override_dh_auto_build:
 	python setup.py build_sphinx
 	dh_auto_build
+
+override_dh_compress:
+	dh_compress -X.py -X.sql
+
+override_dh_fixperms:
+	dh_fixperms -Xdemo.py
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_bash-completion

=== debian/watch ===
version=3

http://sqlkit.argolinux.org/misc/download.html http://sqlkit\.argolinux\.org/download/sqlkit-([0-9]\.[0-9]\.[0-9])\.tar\.gz

## sqlkit 0.9.6.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for Sphinx documentation
 #
-VER           = 0.9.5
+VER           = 0.9.6.1
 DEBVER        = 0.8.6.1-1
 WINVER        = 0.8.6.1
 LNXVER        = 0.9-rc1
@@ -79,7 +79,7 @@
 	      "or in .build/linkcheck/output.txt."
 
 rsync:	html
-	rsync -r --delete --progress --stats .build/html/ www3:docs/sqlkit/
+	rsync -r --delete --progress --stats .build/html/ sqlkit.argolinux.org:docs/sqlkit/
 
 pdf:    latex
 	cd .build/latex; make all-pdf

=== debian/changelog ===
sqlkit (0.9.6.1-2build1) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:41:46 +0100

sqlkit (0.9.6.1-2) unstable; urgency=medium

  * Added missing source for imgpreview.js (Closes: #769834)
  * Removed python-uno from Build-Depends (Closes: #783937) and Suggests
    (Closes: #707342)
  * Patch: support sqlalchemy >= 0.9.7
  * Updated debian/copyright

 -- Pietro Battiston <me@pietrobattiston.it>  Thu, 28 May 2015 11:45:00 +0200

sqlkit (0.9.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.6.1
  * Depend on python-babel rather than python-pybabel (Closes: #725372)
  * Updated Debian policy version (no change needed)
  * Specified BSD license version in debian/copyright
  * Install icons in /usr/share

 -- Pietro Battiston <me@pietrobattiston.it>  Sun, 26 Oct 2014 23:25:19 +0000

sqlkit (0.9.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed sphinx documentation build path that caused FTBFS (Closes: #735822)

 -- Domenico Iezzi <dodo.godlike@gmail.com>  Mon, 26 May 2014 13:45:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 %:
 	dh $@ --with python2
-
-override_dh_auto_build:
-	python setup.py build_sphinx
-	dh_auto_build
 
 override_dh_compress:
 	dh_compress -X.py -X.sql

=== debian/watch ===
version=3

http://sqlkit.argolinux.org/misc/download.html http://sqlkit\.argolinux\.org/download/sqlkit-(.+)\.tar\.gz
